This example demonstrates how to load and inspect a spectral image using the SiaPy library:

- Load a spectral image.
- Access various properties and metadata.

```python
--8<-- "docs/examples/src/spectral_image_01.py"
```

**Source: `spectral_image_01.py`**

---

This example demonstrates how to perform various operations on a spectral image:

- Convert a spectral image to a NumPy array.
- Calculate the mean value per band.
- Create a `Pixels` object from pixel coordinates.
- Extract spectral signatures and subarrays.
- Display the spectral image.

```python
--8<-- "docs/examples/src/spectral_image_02.py"
```

**Source: `spectral_image_02.py`**
